%bcond_without  python3

%global pkgname django-tagging
Name:           python-django-tagging
Version:        0.3.4
Release:        2%{?dist}
Summary:        A generic tagging application for Django projects

Group:          Development/Languages
License:        MIT
URL:            https://github.com/Fantomas42/django-tagging/
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch0:         python-django-tagging-0.3.4-get_queryset.patch

BuildArch:      noarch
BuildRequires:  python2-devel
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif
Requires:       python-django

Provides:       %{pkgname} = %{version}-%{release}
# python-django-tagging-0.3.1-4 is the first renamed version
Obsoletes:      %{pkgname} < 0.3.1-4

%description
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.


%if 0%{?with_python3}
%package -n python3-django-tagging
Summary:        A generic tagging application for Django projects
Group:          Development/Languages

Requires:       python3-django

%description -n python3-django-tagging
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.
%endif


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p 1

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif


%files
%doc CHANGELOG.txt LICENSE.txt README.txt docs/*
%{python_sitelib}/tagging
%{python_sitelib}/django_tagging-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-django-tagging
%doc CHANGELOG.txt LICENSE.txt README.txt docs/*
%{python3_sitelib}/tagging
%{python3_sitelib}/django_tagging-%{version}-py?.?.egg-info
%endif


%changelog
* Wed Dec 10 2014 Jakub Dorňák <jdornak@redhat.com> - 0.3.4-2
- renamed get_query_set to get_queryset

* Wed Dec 10 2014 Jakub Dorňák <jdornak@redhat.com> - 0.3.4-1
- rebase to version 0.3.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Dec 23 2013 Jakub Dorňák <jdornak@redhat.com> - 0.3.1-11
- use builtin next(i) instead of i.next() for compatibility with Py3

* Thu Dec  5 2013 Jakub Dorňák <jdornak@redhat.com> - 0.3.1-10
- fixed use of types which are not available in Py3

* Sun Dec  1 2013 Jakub Dorňák <jdornak@redhat.com> - 0.3.1-9
- added python3 subpackage

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 06 2012 Matthias Runge <mrunge@redhat.com> - 0.3.1-6
- correct wrong obsoletes
- requires python-django

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 03 2012 Matthias Runge <mrunge@matthias-runge.de> 0.3.1-4
- package rename to python-django-tagging

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Matthias Runge <mrunge@matthias-runge.de> - 0.3.1-2
- add dist-tag
* Sun Jun 26 2011 Matthias Runge <mrunge@matthias-runge.de> - 0.3.1-1
- update to version 0.3.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-3.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-1.20080217svnr154
- Add Requires: Django

* Wed Feb 18 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-0.20080217svnr154
- Initial RPM release
